Digest::HMAC_SHA1(3)

NAME
Digest::HMAC_SHA1 - Keyed-Hashing for Message Authentication

SYNOPSIS
 # Functional style
 use Digest::HMAC_SHA1 qw(hmac_sha1 hmac_sha1_hex);
 $digest = hmac_sha1($data, $key);
 print hmac_sha1_hex($data, $key);

 # OO style
 use Digest::HMAC_SHA1;
 $hmac = Digest::HMAC_SHA1->new($key);

 $hmac->add($data);
 $hmac->addfile(*FILE);

 $digest = $hmac->digest;
 $digest = $hmac->hexdigest;
 $digest = $hmac->b64digest;

DESCRIPTION
This module provide HMAC-SHA-1 hashing.

SEE ALSO
Digest::HMAC, Digest::SHA, Digest::HMAC_MD5

AUTHOR
Gisle Aas <gisle@aas.no>